<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.esv.freight.file.module.file.dao.FileMetaDao">

	<!-- 可根据自己的需求，是否要使用 -->
    <resultMap type="com.esv.freight.file.module.file.entity.FileMetaEntity" id="fileMetaMap">
        <result property="id" column="id"/>
        <result property="callSystem" column="call_system"/>
        <result property="fileId" column="file_id"/>
        <result property="fileMd5" column="file_md5"/>
        <result property="fileSize" column="file_size"/>
        <result property="fileName" column="file_name"/>
        <result property="fileType" column="file_type"/>
        <result property="remark" column="remark"/>
        <result property="deleted" column="deleted"/>
        <result property="createTime" column="create_time"/>
        <result property="deleteTime" column="delete_time"/>
    </resultMap>

    <update id="logicDelete" parameterType="com.esv.freight.file.module.file.entity.FileMetaEntity">
        update base_file_meta
        set deleted = #{deleted},
            delete_time = #{deleteTime}
        where file_id = #{fileId}
            and deleted = false
    </update>

</mapper>